const nodemailer = require("nodemailer");
const config = require("config");

const transporter = nodemailer.createTransport({
  host: config.get("smtp.host"),
  port: config.get("smtp.smtp_port")
});

const health = (req, res) => {
  console.log("Returning app health");
  return res.status(200).json({ status: "Up" });
};

const send = (req, res) => {
  console.log("Sending email");
  const { to, sub, body } = req.body;

  let mailOptions = {
    from: config.get("smtp.from_address"),
    to: to,
    subject: sub,
    text: body
  };

  transporter.sendMail(mailOptions, (err, data) => {
    if (err) {
      console.log(err);
      return res.status(500).json({ status: "Fail" });
    } else {
      console.log(data);
      return res.status(201).json({ status: "Pass", message: data.response });
    }
  });
};

module.exports = {
  health,
  send
};
